For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList actions
      • POSTCreate an action
      • POSTInitialize a custom action
      • PUTUpdate an action
      • DELDelete an action
      • GETGet an action
      • POSTAttach an action
      • POSTDetach an action
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIActions

List actions

||View as Markdown|
GET
/actions
GET
/v2/actions
$curl https://api.synthflow.ai/v2/actions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "status": "ok",
3 "response": {
4 "pagination": {
5 "total_records": 103,
6 "limit": 20,
7 "offset": 0
8 },
9 "actions": [
10 {
11 "action_id": "1722936793779x397329270058999800",
12 "action_type": "SEND_SMS",
13 "name": "send_sms",
14 "description": "If user wants to have a meeting next week.",
15 "parameters_hard_coded": {
16 "sms_message_text": "Hello, thanks for your interest in a demo meeting. You can book your session here: https://calendly.com/demo-session"
17 }
18 },
19 {
20 "action_id": "1722936881007x6148720204197584900",
21 "action_type": "INFORMATION_EXTRACTOR",
22 "name": "extract_customer_info",
23 "description": "Extracts customer details from the input text.",
24 "parameters_hard_coded": {
25 "type": "text_extraction",
26 "identifier": "customer_name",
27 "condition": "contains",
28 "choices": [
29 "name",
30 "email",
31 "phone"
32 ],
33 "examples": [
34 "John Doe",
35 "john.doe@example.com",
36 "+1234567890"
37 ]
38 }
39 }
40 ]
41 }
42}
Was this page helpful?
Previous

Create an action

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptionalDefaults to 20
Actions displayed per page.
offsetintegerOptionalDefaults to 0
Index of the first action to be returned.

Response

200
statusstring
responseobject

Errors

400
Bad Request Error